import 'package:flutter/material.dart';
import 'package:flutter_translate/flutter_translate.dart';

import '../../theme/models/scale_theme/scale_scheme.dart';

class NoConversationWidget extends StatelessWidget {
  const NoConversationWidget({super.key});

  @override
  // ignore: prefer_expression_function_bodies
  Widget build(
    BuildContext context,
  ) {
    final theme = Theme.of(context);
    final scaleScheme = theme.extension<ScaleScheme>()!;
    final scaleConfig = theme.extension<ScaleConfig>()!;
    final scale = scaleScheme.scale(ScaleKind.primary);

    return DecoratedBox(
      decoration: BoxDecoration(
        color: scale.appBackground.withAlpha(scaleConfig.wallpaperAlpha),
      ),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.stretch,
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          Icon(
            Icons.diversity_3,
            color: scale.appText.withAlpha(127),
            size: 48,
          ),
          Text(
            textAlign: TextAlign.center,
            translate('chat.start_a_conversation'),
            style: Theme.of(context).textTheme.bodyMedium?.copyWith(
                  color: scale.appText.withAlpha(127),
                ),
          ),
        ],
      ),
    );
  }
}
